Skip to main content
`Ctrl`+`K`

# TaoComputeEqualityConstraints

Compute the variable bounds using the routine set by `TaoSetEqualityConstraintsRoutine()`.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoComputeEqualityConstraints(Tao tao, Vec X, Vec CE)

Collective

## Input Parameter

- tao - the `Tao` context

## Output Parameters

- X - point the equality constraints were evaluated on

- CE - vector of equality constraints evaluated at X

## See Also

TAO: Optimization Solvers, `Tao`, `TaoSetEqualityConstraintsRoutine()`, `TaoComputeJacobianEquality()`, `TaoComputeInequalityConstraints()`

## Level

developer

## Location

src/tao/interface/taosolver_bounds.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages